------------------------------------------------------------------------------------
--Name：  210513[简体征服][活动脚本]6月新副本活动
--Creator:      谢孟轩
--Created:     2021-05-13
------------------------------------------------------------------------------------
--/chgmap 11312 53 57
--/callluafunc </F>User_PlayPlot</N>168

--屏幕震动
for i = 1,5 do
	CppScriptMgr:SetViewPosByCell(53,57)
	CppScriptMgr:WaitMilSec(100)
	CppScriptMgr:SetViewPosByCell(54,58)
	CppScriptMgr:WaitMilSec(100)
end

--中央光效
local effectObj1 = CppScriptMgr:AddEffect("zf2-e224",54,58)
CppScriptMgr:WaitMilSec(500)

--人物出现光效
local effectObj2 = CppScriptMgr:AddEffect("moveback",47,65)
local effectObj3 = CppScriptMgr:AddEffect("moveback",58,69)
local effectObj4 = CppScriptMgr:AddEffect("moveback",65,61)
local effectObj5 = CppScriptMgr:AddEffect("moveback",61,50)

CppScriptMgr:WaitMilSec(2500)

--人物出现
local player1 = CppScriptMgr:AddSimplePlayer(1050385,47,65,"")
local player2 = CppScriptMgr:AddSimplePlayer(1050364,58,69,"")
local player3 = CppScriptMgr:AddSimplePlayer(1050372,65,61,"")
local player4 = CppScriptMgr:AddSimplePlayer(1050391,61,50,"")

player1:SetDir(5)
player2:SetDir(4)
player3:SetDir(2)
player4:SetDir(1)

CppScriptMgr:WaitMilSec(100)

--跑向中央
player1:RunTo(51,61)
player2:RunTo(56,63)
player3:RunTo(59,60)
player4:RunTo(57,56)
CppScriptMgr:WaitMilSec(2000)

--播放变身光效
player1:AddEffect("zf2-e215")
player2:AddEffect("zf2-e215")
player3:AddEffect("zf2-e215")
player4:AddEffect("zf2-e215")
CppScriptMgr:WaitMilSec(2000)

--人物消失，怪物出现
player1:SetPos(1,1)
player2:SetPos(1,1)
player3:SetPos(1,1)
player4:SetPos(1,1)

local Monster1 = CppScriptMgr:AddPlayer(266,51,61, "")
local Monster2 = CppScriptMgr:AddPlayer(263,56,63, "")
local Monster3 = CppScriptMgr:AddPlayer(265,59,60, "")
local Monster4 = CppScriptMgr:AddPlayer(8,57,56, "")

Monster1:SetLook(266)
Monster2:SetLook(263)
Monster3:SetLook(265)
Monster4:SetLook(266)

CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
